<template>
  <div class="elem-fill-number">
    <div class="fill-number-head">
      <h5>{{ data.name }}</h5>
      <div class="fill-number-rect">
        <div
          v-for="n in data.numberCount"
          :key="n"
          class="fill-number-number"
          :style="columnStyles"
        ></div>
      </div>
    </div>
    <div class="fill-number-body">
      <div
        v-for="n in data.numberCount"
        :key="n"
        class="fill-number-list"
        :style="columnStyles"
      >
        <div v-for="m in 10" :key="m" class="fill-number-option">
          <i>{{ m - 1 }}</i>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "ElemFillNumber",
  props: {
    data: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {};
  },
  computed: {
    columnStyles() {
      return {
        width: (100 / this.data.numberCount).toFixed(2) + "%",
      };
    },
  },
  methods: {},
};
</script>
